# std::error_code::clear

From cppreference.com
< cpp‎ | error‎ | error code

void clear() noexcept; |  | (since C++11)

Replaces the error code and error category with default values.

Equivalent to *this = error_code(0, std::system_category ()).

### Parameters

(none)

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/clear&oldid=93091"